OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DocumentUsageConstraint Class Reference

`#include <StepBasic_DocumentUsageConstraint.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_DocumentUsageConstraint ()
Standard_EXPORT void | Init (const Handle(StepBasic_Document)&aSource, const Handle(TCollection_HAsciiString)&ase, const Handle(TCollection_HAsciiString)&asev)
Standard_EXPORT Handle_StepBasic_Document | Source () const
Standard_EXPORT void | SetSource (const Handle(StepBasic_Document)&aSource)
Standard_EXPORT Handle_TCollection_HAsciiString | SubjectElement () const
Standard_EXPORT void | SetSubjectElement (const Handle(TCollection_HAsciiString)&ase)
Standard_EXPORT Handle_TCollection_HAsciiString | SubjectElementValue () const
Standard_EXPORT void | SetSubjectElementValue (const Handle(TCollection_HAsciiString)&asev)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_Document | theSource
Handle_TCollection_HAsciiString | theSE
Handle_TCollection_HAsciiString | theSEV

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_DocumentUsageConstraint::StepBasic_DocumentUsageConstraint | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_DocumentUsageConstraint::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_DocumentUsageConstraint::Init | ( | const Handle(StepBasic_Document)& | aSource,
|  | const Handle(TCollection_HAsciiString)& | ase,
|  | const Handle(TCollection_HAsciiString)& | asev
| ) |

Standard_EXPORT void StepBasic_DocumentUsageConstraint::SetSource | ( | const Handle(StepBasic_Document)& | aSource | ) |

Standard_EXPORT void StepBasic_DocumentUsageConstraint::SetSubjectElement | ( | const Handle(TCollection_HAsciiString)& | ase | ) |

Standard_EXPORT void StepBasic_DocumentUsageConstraint::SetSubjectElementValue | ( | const Handle(TCollection_HAsciiString)& | asev | ) |

Standard_EXPORT Handle_StepBasic_Document StepBasic_DocumentUsageConstraint::Source | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_DocumentUsageConstraint::SubjectElement | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_DocumentUsageConstraint::SubjectElementValue | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_DocumentUsageConstraint::theSE`[private]`

Handle_TCollection_HAsciiString StepBasic_DocumentUsageConstraint::theSEV`[private]`

Handle_StepBasic_Document StepBasic_DocumentUsageConstraint::theSource`[private]`

The documentation for this class was generated from the following file:

- StepBasic_DocumentUsageConstraint.hxx